Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2761583002: Make FadingEdgeScrollView more generic (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by slow (dfalcantara)
Modified:
1 month, 1 week ago
Reviewers:
Ted C, ಠ_ಠ
CC:
chromium-reviews, mahmadi+paymentswatch_chromium.org, rouslan+payments_chromium.org, sebsg+paymentswatch_chromium.org, gogerald+paymentswatch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make FadingEdgeScrollView more generic * Move this class from out of the payments directory into the widget directory. * Make the dialog edges consistent with Material Design and use lines that fade in/out instead of shadows that fade in/out. Screenshots: https://drive.google.com/corp/drive/folders/0B7c8ZkXVwskDRkpvdDhubHVnRmc BUG=701859 Review-Url: https://codereview.chromium.org/2761583002 Cr-Commit-Position: refs/heads/master@{#458198} Committed: https://chromium.googlesource.com/chromium/src/+/68d7e575cb12398943fb86f2776919702ff074d0

Patch Set 1 #

Total comments: 8

Patch Set 2 : Comments, added hard edge for payments #

Total comments: 2

Patch Set 3 : Make FadingEdgeScrollView more generic #

Unified diffs Side-by-side diffs Delta from patch set Stats (+138 lines, -75 lines) Patch
M chrome/android/java/res/layout/autofill_editor_base.xml View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/android/java/res/layout/payment_request.xml View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/android/java/res/layout/payment_request_editor.xml View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/android/java/res/values/dimens.xml View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/payments/ui/EditorView.java View 1 2 chunks +3 lines, -1 line 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/payments/ui/FadingEdgeScrollView.java View 1 chunk +0 lines, -61 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/payments/ui/PaymentRequestUI.java View 1 5 chunks +5 lines, -4 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/preferences/autofill/AutofillEditorBase.java View 1 2 chunks +3 lines, -2 lines 0 comments Download
A chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java View 1 2 1 chunk +119 lines, -0 lines 0 comments Download
M chrome/android/java_sources.gni View 2 chunks +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 21 (12 generated)
slow (dfalcantara)
+Ted for FadingEdge class logic changes +Rouslan for edits to Payments stuff
1 month, 1 week ago (2017-03-17 23:37:10 UTC) #2
Ted C
lgtm https://codereview.chromium.org/2761583002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java File chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java (right): https://codereview.chromium.org/2761583002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java#newcode1 chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java:1: // Copyright 2016 The Chromium Authors. All rights ...
1 month, 1 week ago (2017-03-17 23:52:44 UTC) #3
ಠ_ಠ
lgtm
1 month, 1 week ago (2017-03-18 00:01:41 UTC) #4
slow (dfalcantara)
The weirdo edge at the top was bugging me, so I added support to forcefully ...
1 month, 1 week ago (2017-03-18 00:16:51 UTC) #5
slow (dfalcantara)
Got a second lgtm from Bruno for the hard edge behavior, btw.
1 month, 1 week ago (2017-03-18 00:30:35 UTC) #6
Ted C
still lgtm https://codereview.chromium.org/2761583002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java File chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java (right): https://codereview.chromium.org/2761583002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java#newcode21 chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java:21: public static final int DRAW_NO_EDGE = 0; ...
1 month, 1 week ago (2017-03-20 19:10:31 UTC) #9
slow (dfalcantara)
https://codereview.chromium.org/2761583002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java File chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java (right): https://codereview.chromium.org/2761583002/diff/20001/chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java#newcode21 chrome/android/java/src/org/chromium/chrome/browser/widget/FadingEdgeScrollView.java:21: public static final int DRAW_NO_EDGE = 0; On 2017/03/20 ...
1 month, 1 week ago (2017-03-20 20:06:20 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2761583002/40001
1 month, 1 week ago (2017-03-20 20:07:11 UTC) #18
commit-bot: I haz the power
1 month, 1 week ago (2017-03-20 22:17:34 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/68d7e575cb12398943fb86f27769...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46